Skip to content

Create a new user record

Request

Security
BearerAuth
Bodyapplication/json

When deciding on your implementation consider if there is potential for a user’s email to change. By default we do not allow users added via API to change their email address, making your system the single point of truth for these changes. Also consider how our platform will be updated with email changes.

company_name should only be used if you would like to refer to your user as their company name, generally because your database does not hold a first_name & last_name.

Metadata

Additional metadata can be configured within the platform by a member of the Propello team, and updated by API. Metadata can be used to segment users in the platform for a number of reasons including reporting and targeted campaigns.

Welcome email & SMS

The group settings allow you to configure sending a new user added via the API an instant activation email and/or SMS with a tokenised URL to set their password. Once set, if you want to override this include either of the following variables in your request.

Email

"send_activation_email": true|false

SMS

"send_activation_sms": true|false

If the send_activation_sms flag is set to true you need to provide a "phone" attribute in your request.

organisation_group_idinteger
Example:1
emailstringrequired
Example:"john.smith@example.org"
first_namestring
Example:"John"
last_namestring
Example:"Smith"
company_namestring
Example:"Parisian Inc"
UIDstring
Example:"ABC123"
metaobject
POST
/v3/user/create
curl -i -X POST \
  https://propello-cloud.redocly.app/_mock/openapi/v3/user/create \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "organisation_group_id": 1,
    "email": "john.smith@example.org",
    "first_name": "John",
    "last_name": "Smith",
    "company_name": "Parisian Inc",
    "UID": "ABC123",
    "meta": {
      "sales": 5,
      "location": "London"
    }
  }'

Responses

OK

Bodyapplication/json
statusinteger
Example:200
timestampstring
Example:"1970-01-30T00:00:00.000000Z"
dataobject
Response
{ "status": 200, "timestamp": "1970-01-30T00:00:00.000000Z", "data": { "id": 987654, "UID": "ABC123", "first_name": "John", "last_name": "Smith", "email": "john.smith@example.org", "status": "Active", "created_at": "1970-01-30T00:00:00.000000Z" } }